Skip to main content
GET
Get database row audit history.

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Path Parameters

databaseId
string
required

Query Parameters

take
number
default:100
Required range: 1 <= x <= 100000
cursor
string

Opaque cursor returned by the preceding page.

operation
enum<string>
Available options:
INSERT,
UPDATE,
DELETE
createdBy
string<uuid>
operationId
string
from
string<date-time>
to
string<date-time>
rowKey
object

Exact complete primary-key object.

includeSnapshot
boolean
default:false

Include projected row snapshot values. A snapshot.* field also enables this payload automatically.

includeChanges
boolean
default:false

Include projected change values. A changes.* field also enables this payload automatically.

fields
string[]

Payload paths such as snapshot.id, snapshot.address.country, changes.status, or explicit snapshot./changes. wildcards.

changed
string[]

Return only audit events where at least one of these top-level row fields changed.

filter
object

Safe filter tree for snapshot.* or changes.* values, for example { field: "snapshot.manufacturer", op: "eq", value: "TRW" }.

Response

200 - application/json
data
object[]
required
nextCursor
string | null
required
Last modified on September 5, 2026